package benefactorkindboxhandler

import (
	authservice "git.gocasts.ir/ebhomengo/niki/service/auth"
	benefactorkindboxservice "git.gocasts.ir/ebhomengo/niki/service/benefactor/kind_box"
	"git.gocasts.ir/ebhomengo/niki/service/notification"
)

type Handler struct {
	authSvc              authservice.Service
	benefactorKindBoxSvc benefactorkindboxservice.Service
	notificationSvc      notification.Service
}

func New(authSvc authservice.Service,
	benefactorKindBoxSvc benefactorkindboxservice.Service,
	notificationSvc notification.Service,
) Handler {
	return Handler{
		authSvc:              authSvc,
		benefactorKindBoxSvc: benefactorKindBoxSvc,
		notificationSvc:      notificationSvc,
	}
}
