package addressparam

type UpdateAddressRequest struct {
	ID           uint    `json:"-"`
	PostalCode   string  `json:"postal_code" example:"1234567890"`
	Address      string  `json:"address" example:"Zanjan Province, Zanjan, Etemadieh, 6th St, Iran"`
	Name         string  `json:"name" example:"Home"`
	Lat          float64 `json:"lat" example:"123.456"`
	Lon          float64 `json:"lon" example:"123.456"`
	CityID       uint    `json:"city_id" example:"163"`
	BenefactorID uint    `json:"-"`
}

type UpdateAddressResponse struct {
	FieldErrors map[string]string `json:"field_errors,omitempty"`
}
